export default function activityOptions (ui) {
  return {
    type: 'checkboxesGroup',
    params: {
      id: 'activitiesOptions',
      label: 'Funny activities',
      helperText: 'Which one is for you?',
      isRow: false,
      checkboxes: [
        {
          id: 'nothing',
          checked: false,
          label: 'Do nothing',
        },
        {
          id: 'friends',
          checked: false,
          label: 'Enjoy with friends',
        },
        {
          id: 'programming',
          checked: false,
          label: 'Programming',
        },
      ],
      onChangeListener: (function (id, value) {
        ui.updateArrayField('activityList', id, value)
      }),
    },
  }
}
