

export default function resultDialog (ui, isPassed) {
  const passText = 'You are a kaleider!!'
  const doNotPassText = "No, you aren't a kaleider"

  return {
    type: 'dialog',
    params: {
      id: 'result',
      titleText: 'Test result',
      contentText: 'The test result is: ' + (isPassed ? passText : doNotPassText),
      openButtonVariant: 'text',
      openButtonColor: 'primary',
      openButtonText: 'Result',
      closeButtonVariant: 'contained',
      closeButtonColor: 'primary',
      closeButtonText: 'Close',
      open: true,
      openListener: function () {
      },
      closeListener: function () {
        ui.renderPage()
      },
      contents: [
      ],
      actionContents: [],
    },
  }
}

