import './styles.css'

import {remove, render} from 'mcf-components'

import resultDialog from './components/resultDialog'
import UI from './UI'


const htmlReference = 'app'
const ui = new UI({htmlReference: htmlReference}, onSubmit)

function onSubmit(uiOutput) {
  let result = true

  if (uiOutput.book === 'tgr' || uiOutput.imageList.includes('paperWork') || uiOutput.activityList.includes('nothing')) result = false

  remove(htmlReference)
  render(resultDialog(ui, result), htmlReference)
}

function initPage() {
  ui.renderPage()
}


initPage()
