import activityOptions from './activityOptions'

export default function activityDialog (ui) {
  return {
    type: 'dialog',
    params: {
      id: 'activities',
      titleText: 'Activities',
      contentText: 'Select one activity',
      openButtonVariant: 'contained',
      openButtonColor: 'primary',
      openButtonText: 'Activities',
      closeButtonVariant: 'contained',
      closeButtonColor: 'primary',
      closeButtonText: 'Close',
      open: false,
      openListener: function () {},
      closeListener: function () {},
      contents: [
        activityOptions(ui),
      ],
      actionContents: [],
    },
  }
}

