export default function booksSelection (ui) {
  return {
    type: 'select',
    params: {
      id: 'booksOptions',
      disabled: false,
      error: false,
      required: false,
      shrink: false,
      label: 'Books',
      value: '',
      displayEmpty: false,
      autoWidth: false,
      readOnly: false,
      helperText: 'Select your favourite',
      elementsList: [
        {name: 'Lord of the Rings', value: 'lor'},
        {name: 'Song of fire and ice', value: 'sfi'},
        {name: 'Think and Grow Rich', value: 'tgr'},
      ],
      onSelectListener: function (value) {ui.setValue({book: value})},
    },
  }
}
