export default function diversityImageCard(ui) {
  return {
    type: 'mediaCard',
    params: {
      id: 'diversityLike',
      mainText: 'Diversity',
      secondaryText: 'Click if like',
      imageURL: 'https://i0.wp.com/www.ampaeb.cat/wp-content/uploads/2017/11/diversidad-funcional.jpg?resize=880%2C360&ssl=1',
      imageTitle: 'Diversity',
      imageAlt: 'A paper children circle joined by their hands',
      contents: [
        {
          type: 'button',
          params: {
            id: 'diversityButton',
            text: 'Like',
            variant: 'contained',
            color: 'primary',
            size: 'medium',
            disabled: false,
            onClickListener: function () {
              ui.updateArrayField('imageList', 'diversity', true)
            },
          },
        },
      ],
    },
  }
}

