

export default function errorsDialog (ui, errors) {
  let errorMessage = 'Please, review the inputs:'
  for (const error of errors){
    errorMessage += '  · ' + error
  }

  return {
    type: 'dialog',
    params: {
      id: 'errors',
      titleText: 'Check errors',
      contentText: errorMessage,
      openButtonVariant: 'text',
      openButtonColor: 'primary',
      openButtonText: 'Result',
      closeButtonVariant: 'contained',
      closeButtonColor: 'primary',
      closeButtonText: 'Close',
      open: true,
      openListener: function () {
      },
      closeListener: function () {
        ui.renderPage()
      },
      contents: [
      ],
      actionContents: [],
    },
  }
}

