import nameText from './nameText'
import feminismImageCard from './feminismImageCard'
import paperWorkImageCard from './paperWorkImageCard'
import submitFormButton from './submitFormButton'
import diversityImageCard from './diversityImageCard'
import activitiesDialog from './activitiesDialog'
import booksSelection from './booksSelection'

export default function form(ui) {

  return {
    type: 'card',
    params: {
      id: 'mainContainer',
      mainText: 'Kaleider tester',
      secondaryText: '',
      contents: [
        {
          type: 'card',
          params: {
            id: 'infoContainer',
            mainText: '',
            secondaryText: '',
            contents: [
              nameText(ui),
              feminismImageCard(ui),
              diversityImageCard(ui),
              paperWorkImageCard(ui),
              activitiesDialog(ui),
              booksSelection(ui),
            ],
          },
        },
        {type: 'divider', params: {id: 'submitButtonDivider'}},
        submitFormButton(ui),
      ],
    },
  }
}
