export default function nameText(ui) {
  const onChange = params => {
    ui.setValue({name: params.value})
  }

  return {
    type: 'text',
    params: {
      id: 'name',
      label: 'Name',
      helperText: 'Write your name',
      value: ui.getValue().name,
      margin: 'normal',
      required: false,
      error: false,
      disabled: false,
      placeholder: 'Site',
      fullWidth: false,
      variant: 'standard',
      type: 'text',
      shrink: true,
      onChangeListener: onChange,
    },
  }
}
