export default function paperWorkImageCard(ui) {
  return {
    type: 'mediaCard',
    params: {
      id: 'paperWorkLike',
      mainText: 'Paper work',
      secondaryText: 'Click if like',
      imageURL: 'https://hermandadblanca.org/wp-content/uploads/2016/06/hermandadblanca_org_pereza1-620x465.jpg',
      imageTitle: 'Paper work',
      imageAlt: 'A person surrounded by paper and a laptop yawning',
      contents: [
        {
          type: 'button',
          params: {
            id: 'paperWorkButton',
            text: 'Like',
            variant: 'contained',
            color: 'primary',
            size: 'medium',
            disabled: false,
            onClickListener: function () {
              ui.updateArrayField('imageList', 'paperWork', true)
            },
          },
        },
      ],
    },
  }
}

