export default function submitFormButton(ui) {
  const onClick = function () {
    const errors = ui.checkParams()
    errors.length > 0 ? ui.manageErrors(errors) : ui.onSubmit(ui.getValue())
  }
  
  return {
    type: 'button',
    params: {
      id: 'submitFormButton',
      text: 'Check it!',
      variant: 'contained',
      color: 'primary',
      size: 'medium',
      disabled: false,
      onClickListener: onClick,
    },
  }
}
